PDA

View Full Version : PostScript printing in Panther


sonofslim
Apr 30, 2004, 02:39 PM
so i finally bit the bullet and got quark 6.1 (it's totally underwhelming, btw) which means i can switch to running 10.3 full time. i've been printing on an HP deskjet 1220c/PS for a while now under 9.2.2, using Adobe's PressReady software.

of course, Adobe dropped support for PressReady some time ago and there's no OS X version. which means my postscript printer... ain't.

i know there's a way to print PS files to non-PS printers in OS X, but i have no idea what that is. CUPS? GimpPrint? these are all mysteries to me. can anyone walk me through setting up my printer to print PS files?

many thanks in advance.

bousozoku
Apr 30, 2004, 03:01 PM
GhostScript exists but I don't know how accurate or to which version of PostScript it complies.

sonofslim
Apr 30, 2004, 03:47 PM
thanks so much for the tip! i don't know what i would have done.

for anyone else with similar problems, here's what i did:

a) installed GhostScript from http://www.allosx.com/1031773924/index_html
b) got a driver that worked with my printer model, from linuxprinting.org (the HP DeskJet 1220c: http://www.linuxprinting.org/macosx/hpijs/)
c) followed their tré easy instructions, and now i'm printing EPS and other PostScript files with no problems at all.

MisterMe
Apr 30, 2004, 09:05 PM
so i finally bit the bullet and got quark 6.1 (it's totally underwhelming, btw) which means i can switch to running 10.3 full time. i've been printing on an HP deskjet 1220c/PS for a while now under 9.2.2, using Adobe's PressReady software.

of course, Adobe dropped support for PressReady some time ago and there's no OS X version. which means my postscript printer... ain't.

i know there's a way to print PS files to non-PS printers in OS X, but i have no idea what that is. CUPS? GimpPrint? these are all mysteries to me. can anyone walk me through setting up my printer to print PS files?

many thanks in advance.A driver for the HP DJ 1220c/ps is bundled with Panther. You may also use the CUPS/GIMP-print driver for your printer. You should not install GhostScript because Apple made GhostScript a part of Panther.